<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.infinispan.cache-container.scattered-cache.memory.off-heap" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="size,size-unit"/>
        <elem name="addr-params" value="profile,subsystem,cache-container,scattered-cache,memory"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache-configuration.memory.$cache-container.$scattered-cache"/>
    </provides>
    <refs>
        <ref feature="subsystem.infinispan.cache-container.scattered-cache"/>
        <ref feature="subsystem.infinispan.cache-container"/>
        <ref feature="subsystem.infinispan"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="memory" feature-id="true" default="off-heap"/>
        <param name="size" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="cache-container" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="size-unit" nillable="true" stability="default"/>
        <param name="scattered-cache" feature-id="true"/>
    </params>
</feature-spec>